name: Lynde Meiers
locality:
country: Remote
role: <a href="/job-families/people-ops/team-member-relations/">Senior Absence Management Partner</a>
reports_to: dgoodgame
picture: lyndemeiers.png
pronouns: she/her
pronunciation: Lynd-E
twitter:
linkedin:
gitlab: lyndemeiers
departments:
  - People Operations
specialty: 
expertise:
story:

